

package counter;



public interface ICounterAlgo{

  /**

   * @param host 

   * @param param 

   */

  public abstract Object zeroCase(ICounter host, Object... param);

  

  /**

   * @param host 

   * @param param 

   */

  public abstract Object nonZeroCase(ICounter host, Object... param);

}



